petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscBinaryOpen

Opens a PETSc binary file.

### Synopsis

    PetscErrorCode  PetscBinaryOpen(const char name[],PetscFileMode mode,int *fd)

Not Collective Many br

### Input Parameters

| name | - filename Many br
| type | - type of binary file, one of FILE_MODE_READ, FILE_MODE_APPEND, FILE_MODE_WRITE Many br

### Output Parameter

fd -the file Many br

Many br

Notes: Files access with PetscBinaryRead() and PetscBinaryWrite() are ALWAYS written in Many brbig-endian format. This means the file can be accessed using PetscBinaryOpen() and Many brPetscBinaryRead() and PetscBinaryWrite() on any machine. Many br

### See Also

PetscBinaryRead(), PetscBinaryWrite(), PetscFileMode, PetscViewerFileSetMode(), PetscViewerBinaryGetDescriptor(),
PetscBinarySynchronizedWrite(), PetscBinarySynchronizedRead(), PetscBinarySynchronizedSeek() Many br

Level:advanced
Location:src/sys/fileio/sysio.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/dm/examples/tutorials/ex15.c.html